App\Entity\VenteRetour:
    type: entity
    table: vente_retour
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        numIncrement:
            type: integer
            nullable: true
        numRetour:
            type: string
            length: 255
            fixed: false
            nullable: true
        dateRetour:
            type: datetime
            nullable: true
        totalHT:
            type: float
            nullable: false
        totalTVA:
            type: float
            nullable: false
        totalTTC:
            type: float
            nullable: false
        totalRemise:
            type: float
            nullable: true
        totalBenefice:
            type: float
            nullable: true
        scanBonRetour:
            type: string
            length: 255
            fixed: false
            nullable: true
        estComptabilise:
            type: boolean
            nullable: true
        notes:
            type: text
            nullable: true
    oneToMany:
        rproduits:
            targetEntity: VenteRetourProduit
            mappedBy: venteRetour
            cascade: [persist]
            orphanRemoval: true
    manyToOne:
        vente:
            targetEntity: Vente
            cascade: {  }
            mappedBy: null
            inversedBy: retours
            joinColumns:
                vente_id:
                    referencedColumnName: id
            orphanRemoval: false
        compte:
            targetEntity: Compte
            cascade: [persist]
            mappedBy: null
            inversedBy: avoirs
            joinColumns:
                compte_id:
                    referencedColumnName: id
            orphanRemoval: true